## com.TwentyCodes.android.SkyHook
Class LocationReceiver

    java.lang.Object
      BroadcastReceiver
          com.TwentyCodes.android.SkyHook.LocationReceiver

    public abstract class LocationReceiver

extends BroadcastReceiver

this abstract class will be used as a template for classes wishing to receiver location updates from the skyhook location service

Author:
  ricky barrette

Field Summary
`static String` `ACTION_UPDATE`
`static String` `LOCATION`
`Context` `mContext`

Constructor Summary
`LocationReceiver()`

Method Summary
`abstract void` `onLocationUpdate(Location location)` called when the location is updated
`void` `onReceive(Context context, Intent intent)` (non-Javadoc)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_UPDATE

    public static final String ACTION_UPDATE

See Also:
  Constant Field Values

### LOCATION

    public static final String LOCATION

See Also:
  Constant Field Values

### mContext

    public Context mContext

Constructor Detail

### LocationReceiver

    public LocationReceiver()

Method Detail

### onReceive

    public void onReceive(Context context,
                          Intent intent)

  (non-Javadoc)

  Parameters:
    `context` -
    `intent` -
  See Also:
    `BroadcastReceiver`

### onLocationUpdate

    public abstract void onLocationUpdate(Location location)

  called when the location is updated

  Parameters:
    `location` -